Bug 2179996 - Please update to 2.76
Summary: Please update to 2.76
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibmm2.68
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-20 14:34 UTC by Vitaly Zaitsev
Modified: 2023-03-22 01:38 UTC (History)
2 users (show)

Fixed In Version: glibmm2.68-2.76.0-1.fc39 glibmm2.68-2.76.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-20 18:07:33 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Vitaly Zaitsev 2023-03-20 14:34:53 UTC
Description of problem:
Please update to version 2.76: https://download.gnome.org/sources/glibmm/2.76/

Version-Release number of selected component (if applicable):
glibmm2.68-2.74.0-2.fc38

Additional info:
I need version 2.76 for updating Telegram Desktop:
https://github.com/telegramdesktop/tdesktop/issues/26064

Comment 1 Kalev Lember 2023-03-20 17:18:07 UTC
David, are you updating the glibmm/gtkmm stack together with the rest of GNOME or do you want me to update it separately?

Comment 2 David King 2023-03-20 18:07:33 UTC
Sorry, nothing in GNOME needs this version so it hadn't popped onto my radar yet. I just updated it in Rawhide and f38-gnome.

Comment 3 Vitaly Zaitsev 2023-03-20 18:19:16 UTC
Thank you. Is it possible to update F37 too?

Comment 4 Fedora Update System 2023-03-20 19:47:43 UTC
FEDORA-2023-176a707480 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-176a707480

Comment 5 David King 2023-03-20 19:53:19 UTC
(In reply to Vitaly Zaitsev from comment #3)
> Thank you. Is it possible to update F37 too?

In general, the version would be tied to the glib version, but in this case, no new API was used, so it's fine!

Comment 6 Vitaly Zaitsev 2023-03-20 20:02:14 UTC
> I just updated it in Rawhide and f38-gnome.

What about Bodhi update? Two weeks before the final freeze.

> In general, the version would be tied to the glib version, but in this case, no new API was used, so it's fine!

Many thanks.

Comment 7 David King 2023-03-20 20:07:52 UTC
(In reply to Vitaly Zaitsev from comment #6)
> > I just updated it in Rawhide and f38-gnome.
> 
> What about Bodhi update? Two weeks before the final freeze.

I am waiting on a couple of releases, but it will be in a day or two, most likely. If you need to build against it, feel free to either build against the f38-gnome side tag, or use buildroot overrides. If you need to coordinate an update that is separate from the regular GNOME 44.0 update that I would do, just let me know.

Comment 8 Vitaly Zaitsev 2023-03-20 20:33:26 UTC
> I am waiting on a couple of releases, but it will be in a day or two, most likely.

Got it.

> If you need to build against it, feel free to either build against the f38-gnome side tag, or use buildroot overrides.

Telegram Desktop is an RPM Fusion package due to legal issues with patents. I will wait.

Comment 9 Fedora Update System 2023-03-21 01:42:16 UTC
FEDORA-2023-176a707480 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-176a707480`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-176a707480

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-03-22 01:38:25 UTC
FEDORA-2023-176a707480 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.